package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCeriExtApllMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCeriExtApll;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCeriExtApllService;

@Service
public class BisTtsaCeriExtApllServiceImpl implements IBisTtsaCeriExtApllService {
    @Autowired
    private BisTtsaCeriExtApllMapper bisTtsaCeriExtApllMapper;

    @Override
    public BisTtsaCeriExtApll selectBisTtsaCeriExtApllByGuid(String guid) {
        return bisTtsaCeriExtApllMapper.selectBisTtsaCeriExtApllByGuid(guid);
    }

    @Override
    public List<BisTtsaCeriExtApll> selectBisTtsaCeriExtApllList(BisTtsaCeriExtApll bisTtsaCeriExtApll) {
        return bisTtsaCeriExtApllMapper.selectBisTtsaCeriExtApllList(bisTtsaCeriExtApll);
    }

    @Override
    public int insertBisTtsaCeriExtApll(BisTtsaCeriExtApll bisTtsaCeriExtApll) {
        return bisTtsaCeriExtApllMapper.insertBisTtsaCeriExtApll(bisTtsaCeriExtApll);
    }

    @Override
    public int updateBisTtsaCeriExtApll(BisTtsaCeriExtApll bisTtsaCeriExtApll) {
        return bisTtsaCeriExtApllMapper.updateBisTtsaCeriExtApll(bisTtsaCeriExtApll);
    }

    @Override
    public int deleteBisTtsaCeriExtApllByGuid(String guid) {
        return bisTtsaCeriExtApllMapper.deleteBisTtsaCeriExtApllByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCeriExtApllByGuids(String[] guids) {
        return bisTtsaCeriExtApllMapper.deleteBisTtsaCeriExtApllByGuids(guids);
    }
}
